## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyProgramElementDoc

Field Summary
`GroovyPackageDoc` | `packageDoc`
`boolean` | `publicElement`
`boolean` | `staticElement`

Constructor Summary
`SimpleGroovyProgramElementDoc(String name)`
`SimpleGroovyProgramElementDoc(String name, List links)`

Method Summary
`GroovyClassDoc` | `containingClass()`
`GroovyPackageDoc` | `containingPackage()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`int` | `modifierSpecifier()`
`String` | `modifiers()`
`String` | `qualifiedName()`
`void` | `setContainingPackage(GroovyPackageDoc packageDoc)`
`void` | `setPublic(boolean publicElement)`
`void` | `setStatic(boolean staticElement)`

Constructor Detail

### SimpleGroovyProgramElementDoc

    public SimpleGroovyProgramElementDoc(String name)

### SimpleGroovyProgramElementDoc

    public SimpleGroovyProgramElementDoc(String name, List links)

Method Detail

### containingClass

    public GroovyClassDoc containingClass()

### containingPackage

    public GroovyPackageDoc containingPackage()

### isFinal

    public boolean isFinal()

### isPackagePrivate

    public boolean isPackagePrivate()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### modifierSpecifier

    public int modifierSpecifier()

### modifiers

    public String modifiers()

### qualifiedName

    public String qualifiedName()

### setContainingPackage

    public void setContainingPackage(GroovyPackageDoc packageDoc)

### setPublic

    public void setPublic(boolean publicElement)

### setStatic

    public void setStatic(boolean staticElement)